## suomi-malaga 0.7.3

=== Makefile ===
SM=suomi-malaga-0.7.3

.PHONY: all voikko sukija kehitys run clean dist tar

all: voikko sukija

kehitys: all transmit

voikko:
	malmake voikko-fi_FI.pro

sukija:
	malmake suomi-sukija.pro

run: sukija
	malaga suomi.pro

clean:
	/bin/rm -f *_l core.* transmit

dist:
	cp sanat/omat.lex-jakeluversio sanat/omat.lex
	rm sanat/omat2.lex
	touch sanat/omat2.lex

transmit: transmit.cc
	g++ -g transmit.cc -o transmit

tar:
	rm -f ${SM}.tar ${SM}.tar.bz2
	gtar cf ${SM}.tar ${SM}
	bzip2 ${SM}.tar

mcopy:
	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir

## suomi-malaga 0.7.5

=== Makefile ===
# Source files for Sukija version.
SUKIJA_SRC=sukija/README sukija/suomi.inc sukija/suomi.all \
           sukija/suomi.lex sukija/Makefile sukija/suomi.mor sukija/suomi.pro \
           sukija/suomi.sym sukija/sukija.copyright sukija/LUE.MINUT \
           sukija/sanat/11-19.lex sukija/sanat/erikoiset.lex \
           sukija/sanat/olla-ei.lex sukija/sanat/jokinen.lex \
           sukija/sanat/omat.lex sukija/sanat/sitaattilainat.txt \
           sukija/sanat/etuliitteet.lex sukija/sanat/poikkeavat.lex \
           sukija/sanat/lukusanat.lex sukija/sanat/joukahainen.lex \
           sukija/sanat/jokinen.sh sukija/sanat/lainen.lex \
           sukija/sanat/erikoissanat.lex sukija/sanat/lyhenteet.lex \
           sukija/sanat/yhdyssanat.lex sukija/sanat/latex.lex \
           sukija/sanat/erikoisalat/laaketiede.lex \
           sukija/sanat/erikoisalat/atk.lex sukija/generoi.sh sukija/inc/all.inc \
           sukija/inc/mor.inc sukija/inc/subrule.inc


# Files to ship only in the full source package
SRC_ONLY=ChangeLog CONTRIBUTORS LUE.MINUT Makefile README COPYING \
         voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro voikko/voikkoutils.py \
         vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
         voikko/hfconv.py \
         $(SUKIJA_SRC)

VOIKKO_BINDIST=voikko/voikko-fi_FI.pro voikko/voikko-fi_FI.lex_? voikko/voikko-fi_FI.mor_? \
	voikko/voikko-fi_FI.sym_?

# Shared files needed in Voikko
VOIKKO_COPY_FROM_COMMON=suomi.lex all.inc mor.inc subrule.inc suomi.inc
VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
	suhdesanat.lex lukusanat.lex lyhenteet.lex olla-ei.lex yhdyssanat.lex erikoiset.lex \
	poikkeavat.lex lainen.lex

# Lexicon files generated for Voikko from Joukahainen
VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede vieraskieliset

# Files to ship in the preprocessed source package
VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
                  voikko-fi_FI.sym_l voikko-fi_FI.all_l voikko-fi_FI.lex suomi.inc subrule.inc \
                  $(patsubst %,%.lex,$(VOIKKO_LEX_FROM_XML))

# Files to ship in the source package (duplicates are allowed)
SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))

SM_VERSION=0.7.5

.PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip

all: voikko

voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
	cp $^ $@

$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)): voikko/%: common/%
	cp $^ $@

$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
	voikko/generate_lex.py voikko/voikkoutils.py voikko/hfconv.py
	python voikko/generate_lex.py

clean:
	rm -f voikko/*_l voikko/transmit voikko/voikkoutils.pyc voikko/hfconv.pyc
	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))


# Rules for creating the preprocessed source package

voikko-preprocessed-l-gzip: voikko-fi-lsrc-$(SM_VERSION).tar.gz

voikko-fi-lsrc-$(SM_VERSION).tar.gz: voikko $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@

$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST))): voikko-fi-$(SM_VERSION)/%: voikko/%
	install --mode=755 -d voikko-fi-$(SM_VERSION)
	install --mode=644 -t voikko-fi-$(SM_VERSION) $^


# Rules for creating the source distribution

dist-gzip: suomi-malaga-$(SM_VERSION).tar.gz

suomi-malaga-$(SM_VERSION).tar.gz: $(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 suomi-malaga-$(SM_VERSION) | gzip -9 > $@

$(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST))): suomi-malaga-$(SM_VERSION)/%: %
	install --mode=644 -D $^ $@

voikko/transmit: common/transmit.cc
	g++ -g common/transmit.cc -o voikko/transmit

voikko-install: voikko
ifndef DESTDIR
	$(error DESTDIR must be specified)
endif
	install --mode=755 -d $(DESTDIR)
	install --mode=644 -t $(DESTDIR) $(VOIKKO_BINDIST)

# Vocabulary update
update-vocabulary:
	wget http://joukahainen.lokalisointi.org/sanastot/joukahainen.xml.gz -O - \
	| gunzip > vocabulary/joukahainen.xml


SUKIJA_COPY_FROM_VOCABULARY=\
erikoiset.lex \
erikoissanat.lex \
etuliitteet.lex \
jokinen.lex \
lainen.lex \
latex.lex \
lukusanat.lex \
lyhenteet.lex \
olla-ei.lex \
omat.lex \
poikkeavat.lex \
seikkasanat.lex \
suhdesanat.lex \
yhdyssanat.lex

sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
	cp $^ $@

$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
	voikko/generate_lex.py voikko/voikkoutils.py voikko/hfconv.py
	python voikko/generate_lex.py -s
	mv $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)) sukija/voikonsanat

=== sukija/Makefile ===
LEXICON = \
sanat/11-19.lex \
sanat/sukija.lex \
voikonsanat/atk.lex \
voikonsanat/erikoiset.lex \
voikonsanat/erikoissanat.lex \
voikonsanat/etuliitteet.lex \
voikonsanat/jokinen.lex \
voikonsanat/joukahainen.lex \
voikonsanat/kasvatustiede.lex \
voikonsanat/laaketiede.lex \
voikonsanat/lainen.lex \
voikonsanat/latex.lex \
voikonsanat/lukusanat.lex \
voikonsanat/lyhenteet.lex \
voikonsanat/matluonnontiede.lex \
voikonsanat/olla-ei.lex \
voikonsanat/omat.lex \
voikonsanat/poikkeavat.lex \
voikonsanat/seikkasanat.lex \
voikonsanat/suhdesanat.lex \
voikonsanat/vieraskieliset.lex \
voikonsanat/yhdyssanat.lex

all: suomi.pro
	malmake suomi.pro

run: suomi.pro
	malaga suomi.pro

kehitys: transmit suomi.pro
	malmake suomi.pro

generoi:
	./generoi.sh
	malmake suomi.pro
	
clean:
	/bin/rm -f *_l core.* transmit voikonsanat/*
#	/bin/rm -f *_l core.* transmit [emr][123] voikonsanat/*

dist:
	cp sanat/omat.lex-jakeluversio sanat/omat.lex
	rm sanat/omat2.lex
	touch sanat/omat2.lex
	rm -rf .svn */.svn */*/.svn


transmit: ../common/transmit.cc
	g++ -g ../common/transmit.cc -o transmit


SM=suomi-malaga-svn

tar:
	rm -f ${SM}.tar ${SM}.tar.bz2
	gtar cf ${SM}.tar ${SM}
	bzip2 ${SM}.tar

mcopy:
	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir

bcopy:
	cp *_l *.pro ~/.voikko

koea:
	cat ../../sanat.koe | malaga -m suomi.pro >ka

koeb:
	cat ../../sanat.koe | malaga -m suomi.pro >kb


koe1:
	cat ../../ekirjat.txt | malaga -m suomi.pro >e1
	cat ../../m*8 | malaga -m suomi.pro >m1
	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r1

koe2:
	cat ../../ekirjat.txt | malaga -m suomi.pro >e2
	cat ../../m*8 | malaga -m suomi.pro >m2
	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r2

koe3:
	cat ../../ekirjat.txt | malaga -m suomi.pro >e3
	cat ../../m*8 | malaga -m suomi.pro >m3
	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r3

ekirjat:
	cat ../../ekirjat.txt | malaga -m suomi.pro


# Erojen löytyminen tiedostoista ei ole virhe, siksi "-" rivien alussa.
diff:
	-diff m1 m2
	-diff r1 r2
	-diff e1 e2

diff2:
	-diff m2 m3
	-diff r2 r3
	-diff e2 e3

move:
	mv -f e2 e1; mv -f r2 r1; mv -f m2 m1

## suomi-malaga 1.0

=== Makefile ===

PYTHON=python
DESTDIR=/usr/lib/voikko
MIN_FREQUENCY=9

# Optional vocabulary files
OPTIONAL_LEX=atk-lyhenteet po-oikoluku

# Source files for Sukija version.
SUKIJA_SRC=sukija/README sukija/suomi.inc sukija/suomi.all \
           sukija/suomi.lex sukija/Makefile sukija/suomi.mor sukija/suomi.pro \
           sukija/suomi.sym sukija/LUE.MINUT \
           sukija/sanat/11-19.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
           sukija/generoi.sh sukija/inc/all.inc \
           sukija/inc/mor.inc sukija/inc/subrule.inc \
           sukija/sukija.py sukija/generate_lex.py


# Files to ship only in the full source package
SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
         voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
         voikko/olla-ei.lex \
         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro common/voikkoutils.py \
         vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
         common/hfconv.py common/generate_lex_common.py \
         $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))

VOIKKO_BINDIST=voikko/voikko-fi_FI.pro voikko/voikko-fi_FI.lex_? voikko/voikko-fi_FI.mor_? \
	voikko/voikko-fi_FI.sym_?

# Shared files needed in Voikko
VOIKKO_COPY_FROM_COMMON=suomi.lex all.inc mor.inc subrule.inc suomi.inc
VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
	poikkeavat.lex lainen.lex taivutustäydennykset.lex sidesanat.lex \
	huudahdussanat.lex

# Lexicon files generated for Voikko from Joukahainen
VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede vieraskieliset

# Files to ship in the preprocessed source package
VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
                  voikko-fi_FI.sym_l voikko-fi_FI.all_l voikko-fi_FI.lex suomi.inc subrule.inc \
                  $(patsubst %,%.lex,$(VOIKKO_LEX_FROM_XML)) olla-ei.lex

# Files to ship in the source package (duplicates are allowed)
SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))

SM_VERSION=1.0

.PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip

all: voikko

voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
	$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
	cp $^ $@

$(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)): voikko/%: common/%
	cp $^ $@

voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
	$(PYTHON) voikko/generate_lex.py $(MIN_FREQUENCY)
	touch $@
	@grep "Malaga class not found" voikko/joukahainen.lex

$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): voikko/generate_lex.flag

clean:
	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc voikko/generate_lex.flag
	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
	rm -f sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat/*

# Rules for creating the preprocessed source package

voikko-preprocessed-l-gzip: voikko-fi-lsrc-$(SM_VERSION).tar.gz

voikko-fi-lsrc-$(SM_VERSION).tar.gz: voikko $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST)))
	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@

$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST))): voikko-fi-$(SM_VERSION)/%: voikko/%
	install -m 755 -d voikko-fi-$(SM_VERSION)
	install -m 644 $^ voikko-fi-$(SM_VERSION)


# Rules for creating the source distribution

dist-gzip: suomi-malaga-$(SM_VERSION).tar.gz

suomi-malaga-$(SM_VERSION).tar.gz: $(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 suomi-malaga-$(SM_VERSION) | gzip -9 > $@

dist-bzip2: suomi-malaga-$(SM_VERSION).tar.bz2

suomi-malaga-$(SM_VERSION).tar.bz2: $(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST)))
	tar c --group 0 --owner 0 suomi-malaga-$(SM_VERSION) | bzip2 -9 > $@

$(patsubst %,suomi-malaga-$(SM_VERSION)/%, $(sort $(SRCDIST))): suomi-malaga-$(SM_VERSION)/%: %
	install -m 644 -D $^ $@

voikko/transmit: common/transmit.cc
	g++ -g common/transmit.cc -o voikko/transmit

voikko-install: voikko
	install -m 755 -d $(DESTDIR)
	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)

# Vocabulary update
update-vocabulary:
	wget http://joukahainen.lokalisointi.org/sanastot/joukahainen.xml.gz -O - \
	| gunzip > vocabulary/joukahainen.xml


SUKIJA_COPY_FROM_VOCABULARY=\
erikoiset.lex \
erikoissanat.lex \
etuliitteet.lex \
jokinen.lex \
lainen.lex \
latex.lex \
lukusanat.lex \
lyhenteet.lex \
omat.lex \
poikkeavat.lex \
seikkasanat.lex \
suhdesanat.lex \
taivutustäydennykset.lex \
yhdyssanat.lex \
sidesanat.lex \
huudahdussanat.lex

sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."

$(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
	cp $^ $@

$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py
	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
	$(PYTHON) sukija/generate_lex.py
	@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex

=== sukija/Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 voikonsanat/seikkasanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/vieraskieliset.lex \
-voikonsanat/yhdyssanat.lex
+voikonsanat/yhdyssanat.lex \
+voikonsanat/taivutustäydennykset.lex
 
 all: suomi.pro
 	malmake suomi.pro
@@ -50,7 +51,7 @@
 	g++ -g ../common/transmit.cc -o transmit
 
 
-SM=suomi-malaga-svn
+SM=voikko-suomimalaga
 
 tar:
 	rm -f ${SM}.tar ${SM}.tar.bz2
@@ -61,7 +62,7 @@
 	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir
 
 bcopy:
-	cp *_l *.pro ~/.voikko
+	cp *_l *.pro ~/.sukija
 
 koea:
 	cat ../../sanat.koe | malaga -m suomi.pro >ka
@@ -73,17 +74,17 @@
 koe1:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e1
 	cat ../../m*8 | malaga -m suomi.pro >m1
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r1
+	cat ../../raam.txt | malaga -m suomi.pro >r1
 
 koe2:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e2
 	cat ../../m*8 | malaga -m suomi.pro >m2
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r2
+	cat ../../raam.txt | malaga -m suomi.pro >r2
 
 koe3:
 	cat ../../ekirjat.txt | malaga -m suomi.pro >e3
 	cat ../../m*8 | malaga -m suomi.pro >m3
-	../../*/koe.sh ../../raam/* | malaga -m suomi.pro >r3
+	cat ../../raam.txt | malaga -m suomi.pro >r3
 
 ekirjat:
 	cat ../../ekirjat.txt | malaga -m suomi.pro
@@ -102,3 +103,6 @@
 
 move:
 	mv -f e2 e1; mv -f r2 r1; mv -f m2 m1
+
+move2:
+	mv -f e3 e2; mv -f r3 r2; mv -f m3 m2

## suomi-malaga 1.1

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,17 @@
 OPTIONAL_LEX=atk-lyhenteet po-oikoluku
 
 # Source files for Sukija version.
-SUKIJA_SRC=sukija/README sukija/suomi.inc sukija/suomi.all \
-           sukija/suomi.lex sukija/Makefile sukija/suomi.mor sukija/suomi.pro \
-           sukija/suomi.sym sukija/LUE.MINUT \
-           sukija/sanat/11-19.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
-           sukija/generoi.sh sukija/inc/all.inc \
-           sukija/inc/mor.inc sukija/inc/subrule.inc \
-           sukija/sukija.py sukija/generate_lex.py
+#           sukija/sanat/vieraskieliset.lex \
+#
+
+SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
+           sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
+           sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
+           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh \
+           sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
+           sukija/sukija.py sukija/suomi.all \
+           sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
+           sukija/suomi.sym sukija/suomi.tex
 
 
 # Files to ship only in the full source package
@@ -47,7 +51,7 @@
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
 	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 
-SM_VERSION=1.0
+SM_VERSION=1.1
 
 .PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip
 
@@ -127,25 +131,23 @@
 erikoiset.lex \
 erikoissanat.lex \
 etuliitteet.lex \
-jokinen.lex \
+huudahdussanat.lex \
 lainen.lex \
-latex.lex \
 lukusanat.lex \
 lyhenteet.lex \
-omat.lex \
 poikkeavat.lex \
 seikkasanat.lex \
+sidesanat.lex \
 suhdesanat.lex \
 taivutustäydennykset.lex \
-yhdyssanat.lex \
-sidesanat.lex \
-huudahdussanat.lex
+yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
 	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
 	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
+	@mkdir -p sukija/voikonsanat
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \

=== sukija/Makefile ===
LEXICON = \
sanat/11-19.lex \
sanat/latex.lex \
sanat/jokinen.lex \
sanat/olla-ei.lex \
sanat/omat.lex \
voikonsanat/atk.lex \
voikonsanat/erikoiset.lex \
voikonsanat/erikoissanat.lex \
voikonsanat/etuliitteet.lex \
voikonsanat/huudahdussanat.lex \
voikonsanat/joukahainen.lex \
voikonsanat/kasvatustiede.lex \
voikonsanat/laaketiede.lex \
voikonsanat/lainen.lex \
voikonsanat/lukusanat.lex \
voikonsanat/lyhenteet.lex \
voikonsanat/matluonnontiede.lex \
voikonsanat/poikkeavat.lex \
voikonsanat/seikkasanat.lex \
voikonsanat/sidesanat.lex \
voikonsanat/suhdesanat.lex \
voikonsanat/taivutustäydennykset.lex \
voikonsanat/yhdyssanat.lex

all: suomi.pro $(LEXICON)
	malmake suomi.pro

run: suomi.pro
	malaga suomi.pro

kehitys: transmit suomi.pro
	malmake suomi.pro

generoi:
	./generoi.sh
	malmake suomi.pro
	
clean:
	/bin/rm -f *_l core.* transmit voikonsanat/* f1 s1 foo f2 s2 bar

transmit: ../common/transmit.cc
	g++ -g ../common/transmit.cc -o transmit


SM=suomimalaga

tar:
	rm -f ${SM}.tar ${SM}.tar.bz2
	gtar cf ${SM}.tar ${SM}
	bzip2 ${SM}.tar

mcopy:
	mdel a:${SM}.tar.bz2; mcopy ${SM}.tar.bz2 a:; mdir

bcopy:
	cp *_l *.pro ~/.sukija

f1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../fiwiki.txt | malaga -m suomi.pro >f1

s1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../sanat.txt | malaga -m suomi.pro >s1

f2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../fiwiki.txt | malaga -m suomi.pro >f2

s2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
	cat ../../sanat.txt | malaga -m suomi.pro >s2

diff:
	(diff ../../fiwiki.out f1; diff ../../sanat.out s1) >foo

diff2:
	(diff f1 f2; diff s1 s2) >bar

cp1:
	cp f1 ../../fiwiki.out; cp s1 ../../sanat.out

## suomi-malaga 1.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,21 @@
 
+# Build configuration. See README for more information.
 PYTHON=python
 DESTDIR=/usr/lib/voikko
-MIN_FREQUENCY=9
+GENLEX_OPTS=
+EXTRA_LEX=
+VOIKKO_VARIANT=standard
+VOIKKO_DESCRIPTION=Default morphology for Voikko
+SM_PATCHINFO=
+VANHAHKOT_MUODOT=yes
+VANHAT_MUODOT=no
+VOIKKO_DEBUG=no
 
-# Optional vocabulary files
+# Suomi-malaga version
+SM_VERSION=1.2
+SM_BUILDDATE=$(shell date -R -u)
+
+# Optional vocabulary files (needed in the source package)
 OPTIONAL_LEX=atk-lyhenteet po-oikoluku
 
 # Source files for Sukija version.
@@ -13,7 +25,7 @@
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
            sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
-           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh \
+           sukija/sanat/jokinen.lex sukija/sanat/jokinen.sh sukija/ei-sukija.txt \
            sukija/sanat/latex.lex sukija/sanat/olla-ei.lex sukija/sanat/omat.lex \
            sukija/sukija.py sukija/suomi.all \
            sukija/suomi.inc sukija/suomi.lex sukija/suomi.mor sukija/suomi.pro \
@@ -24,7 +36,7 @@
 SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
          voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
          voikko/olla-ei.lex \
-         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro common/voikkoutils.py \
+         voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
          $(SUKIJA_SRC) $(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
@@ -40,7 +52,7 @@
 	huudahdussanat.lex
 
 # Lexicon files generated for Voikko from Joukahainen
-VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede vieraskieliset
+VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
 
 # Files to ship in the preprocessed source package
 VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
@@ -51,14 +63,13 @@
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
 	$(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 
-SM_VERSION=1.1
 
 .PHONY: all clean update-vocabulary voikko voikko-install voikko-preprocessed-l-gzip dist-gzip
 
 all: voikko
 
 voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
-	$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
+	voikko/main.lex voikko/voikko-fi_FI.pro
 	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
@@ -67,13 +78,35 @@
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)): voikko/%: common/%
 	cp $^ $@
 
+ifeq "$(VOIKKO_DEBUG)" "yes"
+    GENLEX_OPTS+= --debug
+endif
+
 voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
-	$(PYTHON) voikko/generate_lex.py $(MIN_FREQUENCY)
+	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
 	touch $@
-	@grep "Malaga class not found" voikko/joukahainen.lex
+
+voikko/main.lex: voikko/generate_lex.flag $(EXTRA_LEX)
+	cat voikko/joukahainen.lex $(EXTRA_LEX) > $@
+
+
+# Rule to generate voikko-fi_FI.pro
+
+VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
+	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
+	s/VOIKKO_DEBUG/$(VOIKKO_DEBUG)/; \
+	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
+	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
+	s/SM_VERSION/$(SM_VERSION)/; \
+	s/SM_PATCHINFO/$(SM_PATCHINFO)/; \
+	s/SM_BUILDCONFIG/$(subst /,\\/,GENLEX_OPTS=$(GENLEX_OPTS) EXTRA_LEX=$(EXTRA_LEX))/; \
+	s/SM_BUILDDATE/$(SM_BUILDDATE)/"
+
+voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
+	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
 $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): voikko/generate_lex.flag
 
@@ -84,7 +117,7 @@
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
-	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML))
+	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)) voikko/main.lex voikko/voikko-fi_FI.pro
 	rm -f sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat/*
 
 # Rules for creating the preprocessed source package
@@ -151,8 +184,9 @@
 	cp $^ $@
 
 $(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
-	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py
+	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
+	sukija/ei-sukija.txt
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
-	@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
+	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex

=== sukija/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	malmake suomi.pro
 	
 clean:
-	/bin/rm -f *_l core.* transmit voikonsanat/* f1 s1 foo f2 s2 bar
+	/bin/rm -f *_l core.* transmit voikonsanat/* k1 k2 foo bar
 
 transmit: ../common/transmit.cc
 	g++ -g ../common/transmit.cc -o transmit
@@ -56,23 +56,18 @@
 bcopy:
 	cp *_l *.pro ~/.sukija
 
-f1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
-	cat ../../fiwiki.txt | malaga -m suomi.pro >f1
+vcopy:
+	cp ../voikko/*_l ../voikko/*.pro ~/.voikko
 
-s1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
-	cat ../../sanat.txt | malaga -m suomi.pro >s1
+k1: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
+	cat ../../koesanat1.txt | malaga -m suomi.pro >k1
 
-f2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
-	cat ../../fiwiki.txt | malaga -m suomi.pro >f2
+k2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
+	cat ../../koesanat2.txt | malaga -m suomi.pro >k2
 
-s2: suomi.all_l suomi.lex_l suomi.mor_l suomi.sym_l
-	cat ../../sanat.txt | malaga -m suomi.pro >s2
 
 diff:
-	(diff ../../fiwiki.out f1; diff ../../sanat.out s1) >foo
-
-diff2:
-	(diff f1 f2; diff s1 s2) >bar
+	(diff ../../koesanat1.out k1; diff ../../koesanat2.out k2) >foo
 
 cp1:
-	cp f1 ../../fiwiki.out; cp s1 ../../sanat.out
+	cp k1 ../../koesanat1.out; cp k2 ../../koesanat2.out

## suomi-malaga 1.3

=== Makefile ===
--- 
+++ 
@@ -5,23 +5,23 @@
 GENLEX_OPTS=
 EXTRA_LEX=
 VOIKKO_VARIANT=standard
-VOIKKO_DESCRIPTION=Default morphology for Voikko
+VOIKKO_DESCRIPTION=Voikon perussanasto
 SM_PATCHINFO=
 VANHAHKOT_MUODOT=yes
 VANHAT_MUODOT=no
 VOIKKO_DEBUG=no
 
+# Include user's configuration
+-include config.mak
+
 # Suomi-malaga version
-SM_VERSION=1.2
+SM_VERSION=1.3
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
-OPTIONAL_LEX=atk-lyhenteet po-oikoluku
+OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions
 
 # Source files for Sukija version.
-#           sukija/sanat/vieraskieliset.lex \
-#
-
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
            sukija/Makefile sukija/malaga1.png sukija/malaga2.png \
            sukija/malaga3.png sukija/README sukija/sanat/11-19.lex \
@@ -51,13 +51,7 @@
 	poikkeavat.lex lainen.lex taivutustäydennykset.lex sidesanat.lex \
 	huudahdussanat.lex
 
-# Lexicon files generated for Voikko from Joukahainen
-VOIKKO_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
-
-# Files to ship in the preprocessed source package
-VOIKKO_FI_SRCDIST=$(VOIKKO_COPY_FROM_VOCABULARY) suomi.lex voikko-fi_FI.pro voikko-fi_FI.mor_l \
-                  voikko-fi_FI.sym_l voikko-fi_FI.all_l voikko-fi_FI.lex suomi.inc subrule.inc \
-                  $(patsubst %,%.lex,$(VOIKKO_LEX_FROM_XML)) olla-ei.lex
+SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
 
 # Files to ship in the source package (duplicates are allowed)
 SRCDIST=$(SRC_ONLY) $(patsubst %,common/%,$(VOIKKO_COPY_FROM_COMMON)) \
@@ -85,7 +79,7 @@
 voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
 	touch $@
 
@@ -108,7 +102,7 @@
 voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
 	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
-$(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)): voikko/generate_lex.flag
+voikko/joukahainen.lex: voikko/generate_lex.flag
 
 clean:
 	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc voikko/generate_lex.flag
@@ -117,20 +111,9 @@
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
-	rm -f $(patsubst %,voikko/%.lex,$(VOIKKO_LEX_FROM_XML)) voikko/main.lex voikko/voikko-fi_FI.pro
-	rm -f sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat/*
-
-# Rules for creating the preprocessed source package
-
-voikko-preprocessed-l-gzip: voikko-fi-lsrc-$(SM_VERSION).tar.gz
-
-voikko-fi-lsrc-$(SM_VERSION).tar.gz: voikko $(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST)))
-	tar c --group 0 --owner 0 voikko-fi-$(SM_VERSION) | gzip -9 > $@
-
-$(patsubst %,voikko-fi-$(SM_VERSION)/%, $(sort $(VOIKKO_FI_SRCDIST))): voikko-fi-$(SM_VERSION)/%: voikko/%
-	install -m 755 -d voikko-fi-$(SM_VERSION)
-	install -m 644 $^ voikko-fi-$(SM_VERSION)
-
+	rm -f voikko/joukahainen.lex voikko/main.lex voikko/voikko-fi_FI.pro
+	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
+	rm -f TAGS
 
 # Rules for creating the source distribution
 
@@ -156,11 +139,13 @@
 
 # Vocabulary update
 update-vocabulary:
-	wget http://joukahainen.lokalisointi.org/sanastot/joukahainen.xml.gz -O - \
+	wget http://joukahainen.puimula.org/sanastot/joukahainen.xml.gz -O - \
 	| gunzip > vocabulary/joukahainen.xml
 
 
 SUKIJA_COPY_FROM_VOCABULARY=\
+erikoisalat/atk-lyhenteet.lex \
+erikoisalat/linux-distributions.lex \
 erikoiset.lex \
 erikoissanat.lex \
 etuliitteet.lex \
@@ -176,17 +161,23 @@
 yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \
-	$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML))
+	$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML))
 	@malmake sukija/suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)): sukija/voikonsanat/%: vocabulary/%
-	@mkdir -p sukija/voikonsanat
+	@mkdir -p sukija/voikonsanat/erikoisalat
 	cp $^ $@
 
-$(patsubst %,sukija/voikonsanat/%.lex,$(VOIKKO_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
+$(patsubst %,sukija/voikonsanat/%.lex,$(SUKIJA_LEX_FROM_XML)): vocabulary/joukahainen.xml vocabulary/flags.txt \
 	sukija/generate_lex.py common/voikkoutils.py common/hfconv.py common/generate_lex_common.py sukija/sukija.py \
 	sukija/ei-sukija.txt
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
-		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.lokalisointi.org/word/edit?wid=\1|p"
+		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) sukija/generate_lex.py
 	-@grep "Malaga class not found" sukija/voikonsanat/joukahainen.lex
+
+TAGS: $(patsubst %,vocabulary/%,$(VOIKKO_COPY_FROM_VOCABULARY)) \
+		$(patsubst %,vocabulary/erikoisalat/%.lex,$(OPTIONAL_LEX))
+	etags --lang=none --output=$@ \
+		--regex='/[ \t]*\[.*\<perusmuoto:[ \t]*"\([^"]+\)"/\1/' \
+		-- $^

=== sukija/Makefile ===
--- 
+++ 
@@ -21,23 +21,26 @@
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
 voikonsanat/taivutustäydennykset.lex \
-voikonsanat/yhdyssanat.lex
+voikonsanat/yhdyssanat.lex \
+voikonsanat/erikoisalat/atk-lyhenteet.lex \
+voikonsanat/erikoisalat/linux-distributions.lex
 
 all: suomi.pro $(LEXICON)
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 run: suomi.pro
-	malaga suomi.pro
+	@malaga suomi.pro
 
 kehitys: transmit suomi.pro
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 generoi:
 	./generoi.sh
-	malmake suomi.pro
+	@malmake suomi.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 	
 clean:
-	/bin/rm -f *_l core.* transmit voikonsanat/* k1 k2 foo bar
+	/bin/rm -f *_l core.* transmit voikonsanat/*.lex \
+                   voikonsanat/erikoisalat/*.lex k1 k2 foo bar
 
 transmit: ../common/transmit.cc
 	g++ -g ../common/transmit.cc -o transmit

## suomi-malaga 1.5

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.3
+SM_VERSION=1.5
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
-OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions
+OPTIONAL_LEX=atk-lyhenteet po-oikoluku linux-distributions science-misc
 
 # Source files for Sukija version.
 SUKIJA_SRC=sukija/generate_lex.py sukija/generoi.sh sukija/LUE.MINUT \
@@ -35,7 +35,8 @@
 # Files to ship only in the full source package
 SRC_ONLY=ChangeLog CONTRIBUTORS README.fi Makefile README COPYING \
          voikko/voikko-fi_FI.all voikko/voikko-fi_FI.sym voikko/voikko-fi_FI.mor \
-         voikko/olla-ei.lex \
+         voikko/olla-ei.lex voikko/suomi.lex voikko/suomi.inc \
+         voikko/all.inc \
          voikko/voikko-fi_FI.lex voikko/voikko-fi_FI.pro.in common/voikkoutils.py \
          vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
          common/hfconv.py common/generate_lex_common.py \
@@ -45,10 +46,10 @@
 	voikko/voikko-fi_FI.sym_?
 
 # Shared files needed in Voikko
-VOIKKO_COPY_FROM_COMMON=suomi.lex all.inc mor.inc subrule.inc suomi.inc
+VOIKKO_COPY_FROM_COMMON=mor.inc subrule.inc
 VOIKKO_COPY_FROM_VOCABULARY=erikoissanat.lex etuliitteet.lex seikkasanat.lex \
 	suhdesanat.lex lukusanat.lex lyhenteet.lex yhdyssanat.lex erikoiset.lex \
-	poikkeavat.lex lainen.lex taivutustäydennykset.lex sidesanat.lex \
+	poikkeavat.lex lainen.lex taivutustaydennykset.lex sidesanat.lex \
 	huudahdussanat.lex
 
 SUKIJA_LEX_FROM_XML=joukahainen atk laaketiede matluonnontiede kasvatustiede
@@ -63,7 +64,7 @@
 all: voikko
 
 voikko: $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)) $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON)) \
-	voikko/main.lex voikko/voikko-fi_FI.pro
+	voikko/main.lex voikko/voikko-fi_FI.pro voikko/config.inc
 	@malmake voikko/voikko-fi_FI.pro 2>&1 | grep -v "Warning: No allomorphs generated."
 
 $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY)): voikko/%: vocabulary/%
@@ -76,22 +77,26 @@
     GENLEX_OPTS+= --debug
 endif
 
-voikko/generate_lex.flag: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
+voikko/joukahainen.lex: vocabulary/joukahainen.xml vocabulary/flags.txt voikko/generate_lex.py \
 	common/voikkoutils.py common/hfconv.py common/generate_lex_common.py
 	@grep -B1 "ERROR: base form missing" vocabulary/joukahainen.xml | \
 		sed -ne "s|^.*\"w\([^\"]*\)\".*|Base form missing: http://joukahainen.puimula.org/word/edit?wid=\1|p"
 	$(PYTHON) voikko/generate_lex.py $(GENLEX_OPTS)
-	touch $@
 
-voikko/main.lex: voikko/generate_lex.flag $(EXTRA_LEX)
-	cat voikko/joukahainen.lex $(EXTRA_LEX) > $@
+voikko/main.lex: voikko/joukahainen.lex $(EXTRA_LEX)
+	cat $^ > $@
 
 
 # Rule to generate voikko-fi_FI.pro
 
+VOIKKO_MURRE=no
+ifeq "$(findstring dialect,$(GENLEX_OPTS))" "dialect"
+	VOIKKO_MURRE=yes
+endif
+
 VOIKKO_PRO_SEDSCRIPT="s/VANHAHKOT_MUODOT/$(VANHAHKOT_MUODOT)/; \
 	s/VANHAT_MUODOT/$(VANHAT_MUODOT)/; \
-	s/VOIKKO_DEBUG/$(VOIKKO_DEBUG)/; \
+	s/VOIKKO_MURRE/$(VOIKKO_MURRE)/; \
 	s/SM_VOIKKO_VARIANT/$(VOIKKO_VARIANT)/; \
 	s/SM_VOIKKO_DESCRIPTION/$(VOIKKO_DESCRIPTION)/; \
 	s/SM_VERSION/$(SM_VERSION)/; \
@@ -102,10 +107,12 @@
 voikko/voikko-fi_FI.pro: voikko/voikko-fi_FI.pro.in
 	sed -e $(VOIKKO_PRO_SEDSCRIPT) < $^ > $@
 
-voikko/joukahainen.lex: voikko/generate_lex.flag
+voikko/config.inc:
+	echo "define @voikko_debug := $(VOIKKO_DEBUG);" > $@
 
 clean:
-	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc voikko/generate_lex.flag
+	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc
+	rm -f voikko/config.inc
 	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
 	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
@@ -134,8 +141,8 @@
 	g++ -g common/transmit.cc -o voikko/transmit
 
 voikko-install: voikko
-	install -m 755 -d $(DESTDIR)
-	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)
+	install -m 755 -d $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
+	install -m 644 $(VOIKKO_BINDIST) $(DESTDIR)/2/mor-$(VOIKKO_VARIANT)
 
 # Vocabulary update
 update-vocabulary:
@@ -157,7 +164,7 @@
 seikkasanat.lex \
 sidesanat.lex \
 suhdesanat.lex \
-taivutustäydennykset.lex \
+taivutustaydennykset.lex \
 yhdyssanat.lex
 
 sukija: $(patsubst %,sukija/voikonsanat/%,$(SUKIJA_COPY_FROM_VOCABULARY)) \

=== sukija/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 voikonsanat/seikkasanat.lex \
 voikonsanat/sidesanat.lex \
 voikonsanat/suhdesanat.lex \
-voikonsanat/taivutustäydennykset.lex \
+voikonsanat/taivutustaydennykset.lex \
 voikonsanat/yhdyssanat.lex \
 voikonsanat/erikoisalat/atk-lyhenteet.lex \
 voikonsanat/erikoisalat/linux-distributions.lex
@@ -74,3 +74,9 @@
 
 cp1:
 	cp k1 ../../koesanat1.out; cp k2 ../../koesanat2.out
+
+kdiff:
+	gawk -F'"' '{print $2, $3}' ~/koe*1.out >k1a
+	gawk -F'"' '{print $2, $3}' ~/koe*2.out >k2a
+	gawk -F'"' '{print $2, $3}' k1 >k1b
+	gawk -F'"' '{print $2, $3}' k2 >k2b

## suomi-malaga 1.6

=== debian/changelog ===
suomi-malaga (1.6-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.4
  * Change to 3.0 (quilt) source version

 -- Timo Jyrinki <timo@debian.org>  Wed, 26 May 2010 21:39:32 +0300

suomi-malaga (1.5-1) unstable; urgency=low

  * New upstream release
  * Fix lintian warning about relation form

 -- Timo Jyrinki <timo@debian.org>  Wed, 27 Jan 2010 17:49:59 +0200

suomi-malaga (1.4-1) unstable; urgency=low

  * New upstream release
  * Last part of installation directory no longer needs to be specified 
  * Breaks libvoikko < 2.2 
  * Update Standards-Version to 3.8.3 

 -- Timo Jyrinki <timo@debian.org>  Wed, 14 Oct 2009 17:18:20 +0300

suomi-malaga (1.3-3) unstable; urgency=low

  * Add FLOSS brand names (Closes: #527097)

 -- Timo Jyrinki <timo@debian.org>  Sun, 24 May 2009 11:58:08 +0300

suomi-malaga (1.3-2) unstable; urgency=low

  * Change installation path to work with libvoikko 2.1
  * Add Breaks to earlier libvoikko versions 
  * Update Standards-Version (no changes)
  * Bump debhelper to version 5 

 -- Timo Jyrinki <timo@debian.org>  Tue, 05 May 2009 20:26:29 +0300

suomi-malaga (1.3-1) unstable; urgency=low

  * New upstream release

 -- Timo Jyrinki <timo@debian.org>  Fri, 06 Mar 2009 17:10:54 +0200

suomi-malaga (1.2-2) unstable; urgency=low

  * Upload to unstable

 -- Timo Jyrinki <timo@debian.org>  Mon, 16 Feb 2009 16:56:22 +0200

suomi-malaga (1.2-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address
  * Update Standards-Version (no changes)

 -- Timo Jyrinki <timo@debian.org>  Tue, 13 Jan 2009 15:04:37 +0200

suomi-malaga (1.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to fix lintian warning and more

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 29 Apr 2008 22:39:14 +0300

suomi-malaga (1.0-1) unstable; urgency=low

  * New upstream version
  * Update standards-version to 3.7.3 (no changes)
  * Use new official "Homepage" field in control file
  * Add new Vcs-* fields as supported in dpkg 1.14.6 (thanks to Teemu Likonen)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 10 Jan 2008 22:16:23 +0200

suomi-malaga (0.7.7-1) unstable; urgency=low

  * New upstream version
  * Fix Lintian warning debian-rules-ignores-make-clean-error

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 04 Dec 2007 19:54:43 +0200

suomi-malaga (0.7.6-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 01 Sep 2007 22:11:22 +0300

suomi-malaga (0.7.5-1) unstable; urgency=low

  * New upstream version
  * Add python build-dep, sync with upstream Debian packaging
  * Patch from upstream SVN to fix make -j5
  * Patch from upstream SVN to fix words of type "saksalais-roomalainen"

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 15 May 2007 23:26:19 +0300

suomi-malaga (0.7.4-1) unstable; urgency=low

  * New upstream version
  * Update homepage, dependencies, watch file

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 31 Mar 2007 15:06:03 +0300

suomi-malaga (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Wed, 15 Nov 2006 18:01:03 +0200

suomi-malaga (0.7.2-4) unstable; urgency=low

  * Change .*_l to .*_* in voikko-fi.install to fix big endian archs

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat,  7 Oct 2006 11:39:30 +0300

suomi-malaga (0.7.2-3) unstable; urgency=low

  * Install LUE.MINUT as README.FI

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Sat, 30 Sep 2006 15:05:31 +0300

suomi-malaga (0.7.2-2) unstable; urgency=low

  * Notice ITP in changelog (Closes: #388801)
  * Change source package from misc to text
  * Intend homepage in debian/control by two spaces
  * Configure removed from debian/rules
  * Fixed debian/watch
  * Update copyright

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Fri, 22 Sep 2006 19:15:08 +0300

suomi-malaga (0.7.2-1) unstable; urgency=low

  * Package for Debian.
  * Update Standards-Version.

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Mon, 18 Sep 2006 19:55:23 +0300

suomi-malaga (0.7.2-0hf1) unstable; urgency=low

  * New upstream release

 -- Teemu Likonen <tlikonen@iki.fi>  Sat,  9 Sep 2006 15:54:51 +0300

suomi-malaga (0.7.1+svn20060901-0hf1) unstable; urgency=low

  * New SVN snapshot (r428)

 -- Teemu Likonen <tlikonen@iki.fi>  Fri,  1 Sep 2006 14:54:53 +0300

suomi-malaga (0.7.1+svn20060823-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Wed, 23 Aug 2006 22:30:12 +0300

suomi-malaga (0.7.1-0hf1) unstable; urgency=low

  * New upstream release

 -- Teemu Likonen <tlikonen@iki.fi>  Mon, 31 Jul 2006 11:35:27 +0300

suomi-malaga (0.6.99+svn20060729-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Sat, 29 Jul 2006 16:41:33 +0300

suomi-malaga (0.6.99+svn20060728-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Fri, 28 Jul 2006 17:54:10 +0300

suomi-malaga (0.6.99+svn20060724-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Mon, 24 Jul 2006 17:31:39 +0300

suomi-malaga (0.6.99+svn20060709-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Sun,  9 Jul 2006 18:32:51 +0300

suomi-malaga (0.6.99+svn20060703-0hf2) unstable; urgency=low

  * Another SVN snapshot from this day: Fixes annoying bug with some verb
    derivatives. Probably introduces some new bugs :-)

 -- Teemu Likonen <tlikonen@iki.fi>  Mon,  3 Jul 2006 20:15:17 +0300

suomi-malaga (0.6.99+svn20060703-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Mon,  3 Jul 2006 07:48:58 +0300

suomi-malaga (0.6.99+svn20060630-0hf1) unstable; urgency=low

  * New SVN snapshot

 -- Teemu Likonen <tlikonen@iki.fi>  Fri, 30 Jun 2006 12:08:33 +0300

suomi-malaga (0.6-0hf4) unstable; urgency=low

  * Previous patches replaced with:
      01beta8.diff
      02vanhoja.diff
      03tavutus.diff



=== debian/control ===
Source: suomi-malaga
Section: text
Priority: optional
Maintainer: Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 5.0.0), malaga-bin (>= 7.8), python
Standards-Version: 3.8.4
Homepage: http://voikko.sourceforge.net/
Vcs-Svn: https://voikko.svn.sourceforge.net/svnroot/voikko/trunk/suomimalaga
Vcs-Browser: https://voikko.svn.sourceforge.net/viewvc/voikko/trunk/suomimalaga

Package: voikko-fi
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libvoikko1 (<< 2.2-1)
Description: A description of Finnish morphology written in Malaga
 Suomi-Malaga is a description of Finnish morphology written in Malaga.
 .
 This package contains a compiled version of Suomi-Malaga and basic Finnish
 vocabulary suitable for use in spell-checking and hyphenation system Voikko.

## suomi-malaga 1.8

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 -include config.mak
 
 # Suomi-malaga version
-SM_VERSION=1.5
+SM_VERSION=1.8
 SM_BUILDDATE=$(shell date -R -u)
 
 # Optional vocabulary files (needed in the source package)
@@ -114,12 +114,13 @@
 	rm -f voikko/*_l voikko/transmit common/voikkoutils.pyc common/hfconv.pyc
 	rm -f voikko/config.inc
 	rm -f common/generate_lex_common.pyc sukija/sukija.pyc
-	rm -f "suomi-malaga-$(SM_VERSION).tar.gz" "voikko-fi-lsrc-$(SM_VERSION).tar.gz"
+	rm -f "suomi-malaga-$(SM_VERSION).tar.gz"
 	rm -rf "suomi-malaga-$(SM_VERSION)" "voikko-fi-$(SM_VERSION)"
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_VOCABULARY))
 	rm -f $(patsubst %,voikko/%,$(VOIKKO_COPY_FROM_COMMON))
 	rm -f voikko/joukahainen.lex voikko/main.lex voikko/voikko-fi_FI.pro
 	rm -rf sukija/*_l sukija/transmit sukija/sukija.pyc sukija/voikonsanat
+	rm -f sukija/k1 sukija/k2 sukija/foo sukija/bar
 	rm -f TAGS
 
 # Rules for creating the source distribution

=== debian/changelog ===
suomi-malaga (1.8-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version

 -- Timo Jyrinki <timo@debian.org>  Mon, 13 Dec 2010 18:48:51 +0200
